Subject: bug#8492: 23.3; Time to use a different binding for completion?

From: Lennart Borgman <[email-masked]>
Date: Sat, 16 Apr 2011 01:21:10 +0200

On Sat, Apr 16, 2011 at 12:53 AM, Reuben Thomas <[email-masked]> wrote:
> On 15 April 2011 20:53, Stefan Monnier <[email-masked]> wrote:
>>> Is it therefore time to admit defeat and find an alternative binding for
>>> completion functions, even if it’s an extra binding rather than simply a
>>> different one?
>>
>> TAB can do completion if you (setq tab-always-indent 'complete).
>
> Thanks for the tip, I'll try that.

The idea is nice, but there is perhaps a problem with the current
implementation: There are many ways to complete in Emacs.

In for example tabkey2.el other choices are made available too. See
http://www.emacswiki.org/emacs/TabCompletion for more info.
(tabkey2.el may be broken at the moment, I am not sure how it works
right now.)